Index: sys/fs/devfs/devfs_vnops.c
===================================================================
RCS file: /home/ncvs/src/sys/fs/devfs/devfs_vnops.c,v
retrieving revision 1.115
diff -u -d -r1.115 devfs_vnops.c
--- sys/fs/devfs/devfs_vnops.c	14 Jul 2005 10:22:09 -0000	1.115
+++ sys/fs/devfs/devfs_vnops.c	18 Jul 2005 18:51:41 -0000
@@ -788,6 +788,12 @@
 	struct devfs_mount *dmp;
 	int error;
 
+	/*
+	 * The only type of node we should be creating here is a
+	 * character device, for anything else return EOPNOTSUPP.
+	 */
+	if (ap->a_vap->va_type != VCHR)
+		return (EOPNOTSUPP);
 	dvp = ap->a_dvp;
 	dmp = VFSTODEVFS(dvp->v_mount);
 	lockmgr(&dmp->dm_lock, LK_EXCLUSIVE, 0, curthread);
